Subject: Re: iscsi : query based login negotiation.

From: "Julian Satran" <[email-masked]>
Date: Sun, 7 Oct 2001 10:36:54 +0300

Santosh,

I am somewhat at a loss as to what you are suggesting.
We use now "?" to query current value (not necessarily the default or 
maximum).
If the list finds desirable a Maximum/Minimum based negotiation we may 
want to introduce another
type of query or have the ? return a triple (current,maximum,minimum). 
Please note that this type of information is probably also
provided by a management tool that has the device characteristics and to 
where this function naturally belongs.

Julo

Santosh Rao <[email-masked]>
Sent by: [email-masked]
05-10-01 18:09
Please respond to Santosh Rao

        To:     IPS Reflector <[email-masked]>
        cc: 
        Subject:        iscsi : query based login negotiation.

Julian,

I have another question on the subject of login negotiation, which was
brought up earlier in a previous mail. I've enclosed the mail below
[with irrelevant portions snipped out.]

Could you please clarify if the below described behaviour is possible ?

Thanks,
Santosh

Santosh Rao wrote:
> 
> Julian,
> 
> Another value-add of the "responder picks the negotiation result model"
> is that the initiator can use the following "query based" negotiation
> model to always use the values the target is capable of offering :
> 
> I -> T : DataPDULength=?
> T -> I : DataPDULength=64K
> 
> Both sides agree to use a DataPDULength of 64K.

> I suggest that we allow the above "query based model", since this is
> more efficient to use when an initiator has no key limitations and would
> like to use the value a target can offer. In order to allow the "query
> based model", you would need to state in the draft that a key value of
> "?" over-rides the default, implying the target offered value would be
> the result of the negotiation.
> 
> In particular, the "query based model" is quite useful when an initiator
> wishes to function with the target's maximal supported values for keys
> like DataPDULength, FirstBurstSize, MaxBurstSize, MaxOutStandingR2T,
> LogoutLoginMinTime, LogoutLoginMaxTime, etc without expressing any
> limitations on its own key value.
> 
> Comments ?
> 
> Thanks,
> Santosh

-- 
##################################
Santosh Rao
Software Design Engineer,
HP-UX iSCSI Driver Team,
Hewlett Packard, Cupertino.
email : [email-masked]
Phone : 408-447-3751
##################################